Ink and Handwriting Services Overview

Ink and Handwriting Services are optional role features that provide support for pen input and recognition for handwriting and math expressions. The Handwriting Recognition feature requires that Ink Support be installed.

For more information on Ink and Handwriting Services, see Ink and Handwriting Services.

What is Handwriting Recognition?

Handwriting Recognition allows users to launch the Tablet Input Panel (TIP), write in their desired language and insert the automatically converted, recognized text into applications such as Microsoft Outlook® or Word. Personalization, a feature of handwriting recognition, enables the recognizer to learn how and what a user writes, improving that user's handwriting experience over time.

What is Ink Support?

The Ink Support feature includes Tablet PC-related components that were previously included in the Desktop Experience pack for Windows Server 2008, e.g., support for user input using pen digitizers, mice, and touch-screen devices.


Ink and Handwriting Services

The Ink and Handwriting Services feature, a new feature in Windows® 7 and Windows Server® 2008 R2 consists of the Ink Support feature and the Handwriting Recognition feature.

Note

To use the Handwriting Recognition feature, you must also install the Ink Support feature.

For more information on Ink and Handwriting Services, see Ink and Handwriting Services.

Installing or uninstalling the Ink and Handwriting Services features

You can install or uninstall Ink and Handwriting Services using the Initial Configuration Tasks Wizard or Server Manager.

To install Ink and Handwriting Services using the Initial Configuration Tasks Wizard

  1. In the Customize This Server section, click Add features.

  2. Select the Ink and Handwriting Services check box, and then click Next.

  3. Complete the wizard by clicking Install.
To install Ink and Handwriting Services using Server Manager

  1. Open Server Manager: click Start, point to Administrative Tools, and click Server Manager.

    Notes
    • You can also open Server Manager by typing the following at a command prompt:
    • servermanager.msc

  2. In the Features Summary section, click Add features.

  3. Select the Ink and Handwriting Services check box, and then click Next.

  4. Complete the wizard by clicking Install.

You can uninstall Ink and Handwriting Services at any time by using either method above to start the Add Features Wizard. When the wizard opens, clear the Ink and Handwriting Services check box, click Next, and then click Remove to complete the wizard.

See Also

  • Ink and Handwriting Services Overview


Ink Support

The Ink Support feature includes Tablet PC-related components that were previously included in the Desktop Experience pack for Windows Server 2008, e.g., support for user input using pen digitizers, mice, and touch-screen devices.

See Also

  • Ink and Handwriting Services Overview


Handwriting Recognition

Handwriting Recognition provides handwriting recognizers for a number of languages. Once installed, these components can be called by an application through the handwriting recognition application programming interfaces (APIs). This feature requires that Ink Support be installed.

What is Handwriting Recognition?

Handwriting recognition allows users to launch the Tablet Input Panel (TIP), write in their desired language and insert the automatically converted, recognized text into applications such as Microsoft Outlook® or Word. Personalization, a feature of handwriting recognition, enables the recognizer to learn how and what a user writes, improving that user's handwriting experience over time.

Languages Supported in Windows 7

In Windows Vista, handwriting recognition is supported for eight Latin languages: English (United States and United Kingdom), German, French, Spanish, Italian, Dutch, and Brazilian Portuguese, and four East Asian languages: Japanese, Chinese (Simplified and Traditional), and Korean. For Windows 7, 14 additional languages are supported for handwriting recognition: Norwegian (Bokmål and Nynorsk), Swedish, Finnish, Danish, Polish, Portuguese (Portugal), Romanian, Serbian (Cyrillic and Latin), Catalan, Russian, Czech, and Croatian.

For the personalization feature, Windows 7 provides support for the following languages: English (United States and United Kingdom), German, French, Spanish, Italian, Dutch, Brazilian Portuguese, Norwegian (Bokmål and Nynorsk), Swedish, Finnish, Danish, Polish, Portuguese (Portugal), Romanian, Serbian (Cyrillic and Latin), Catalan, Russian, Czech, and Croatian.

Recognizing Math Expressions

Windows 7 enables users who work with math expressions to use handwriting recognition to input math expressions via the Math Input Panel, a new accessory. The Math Input Panel recognizes handwritten math expressions, provides a rich correction experience, and inserts math expressions into target programs. Math Input Control, which offers the same recognition and correction functionality, enables developers to integrate math handwriting recognition into programs directly for a higher degree of control and customization.

See Also

  • Ink and Handwriting Services Overview